      PROGRAM APP 
C
C  * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
C  *  PROGRAM APP: CALCULATES .................................  *
C  * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
C
      DIMENSION ............................................... 
      REAL .................................................... 
c
c  Assign unit numbers to filenames
c
      OPEN(5,FILE='APP.dat',STATUS='OLD',ERR=888)
      OPEN(6,FILE='APP.out',STATUS='UNKNOWN',ERR=888)
      OPEN(7,FILE='prop1.DAT',STATUS='UNKNOWN',ERR=888)
C
C    CALC. RADIANS TO DEGREES CONVERSION FACTOR
C
      PI=ACOS(-1.)
      CONV=PI/180.
C
C  READ ...................... PROPERTIES FROM INPUT FILE
C
      CALL IN
C
  888 stop
      end
c
c********1*********2*********3*********4*********5*********6*********7**
      SUBROUTINE IN 
C
C
      RETURN
      END 
c
c********1*********2*********3*********4*********5*********6*********7**
      subroutine inv(a,n,b)
      dimension a(n,n),aa(n,n),b(n,n),indx(n)
      do 12 i=1,n
      do 11 j=1,n
   11 aa(i,j)=a(i,j)
   12 continue
      do 14 i=1,n
      do 13 j=i,n
   13 b(i,j)=0.0
   14 b(i,i)=1.0
      call ludcmp(aa,n,n,indx,d)
      do 15 j=1,n
   15 call lubksb(aa,n,n,indx,b(1,j))
      return
      end
c
      subroutine ludcmp(a,n,np,indx,d)
      parameter (nmax=100,tiny=1.0E-20)
      dimension a(np,np),indx(n),vv(nmax)
      d=1.
      do 12 i=1,n
      aamax=0.
      do 11 j=1,n
      if(abs(a(i,j)).gt.aamax) aamax=abs(a(i,j))
   11 continue
      if(aamax.eq.0.) pause 'singular matrix'
      vv(i)=1./aamax
   12 continue
      do 19 j=1,n
      do 14 i=1,j-1
      sum=a(i,j)
      do 13 k=1,i-1
      sum=sum-a(i,k)*a(k,j)
   13 continue
      a(i,j)=sum
   14 continue
      aamax=0.
      do 16 i=j,n
      sum=a(i,j)
      do 15 k=1,j-1
      sum=sum-a(i,k)*a(k,j)
   15 continue
      a(i,j)=sum
      dum=vv(i)*abs(sum)
      if(dum.ge.aamax)then
        imax=i
        aamax=dum
      endif
   16 continue
      if(j.ne.imax)then
      do 17 k=1,n
      dum=a(imax,k)
      a(imax,k)=a(j,k)
      a(j,k)=dum
   17 continue
      d=-d
      vv(imax)=vv(j)
      endif
      indx(j)=imax
      if(a(j,j).eq.0.0)a(j,j)=tiny
      if(j.ne.n)then
      dum=1./a(j,j)
      do 18 i=j+1,n
      a(i,j)=a(i,j)*dum
   18 continue
      endif
   19 continue
      return
      end
c
      subroutine lubksb(a,n,np,indx,b)
      dimension a(np,np),indx(n),b(n)
      ii=0
      do 12 i=1,n
      ll=indx(i)
      sum=b(ll)
      b(ll)=b(i)
      if (ii.ne.0) then
      do 11 j=ii,i-1
      sum=sum-a(i,j)*b(j)
   11 continue
      else if (sum.ne.0.) then
      ii=i
      endif
      b(i)=sum
   12 continue
      do 14 i=n,1,-1
      sum=b(i)
      do 13 j=i+1,n
      sum=sum-a(i,j)*b(j)
   13 continue
      b(i)=sum/a(i,i)
   14 continue
      return
      end
